Änderungsprotkoll
=================

Alle wichtigen Änderungen an diesem Projekt werden in dieser Datei dokumentiert.

Das Format basiert auf [Keep a Changelog](https://keepachangelog.com/de/),
und dieses Projekt folgt [Semantic Versioning](https://semver.org/lang/de/).

## [Noch nicht veröffentlicht]

## [3.0.0] - 2019-09-16

### Geändert

*   Verwendet Version 3.0.0 der Funktionen Fuzzy.

### Behoben

*   Skriptstatus wurde beim Abbruch eines Skriptlaufs nicht korrekt
    aktualisiert. Das führte dazu, dass ein abgebrochenes Skript erst nach dem
    Neustart des UDA-Servers erneut ausgeführt werden konnte.

### Info

*   V2.x war das RW-Plug-in (alt), neu wird jetzt in RW und Server die Version 3.0.

## [1.3.2]

### Geändert

*   NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf
    NERZ-Repositories

## 1.3.1

### Geändert

*  Beim Anlagen von Skripten und Skriptläufen wird der Parameter
   `VerwaltungDynamischerObjekt` der AOE berücksichtigt, statt die Objekte im
    Defaultbereich der SW-Einheit abzulegen.

## 1.3.0

### Geändert

*   Umstellung auf Java 8 und UTF-8.

## 1.2.0

### Geändert

*   Umstellung auf Maven-Build.

## 1.1.4

### Behoben

*   Korrekturen in den ausgelieferten Testwerkzeugen

## 1.0.1

### Hinzugefügt

*   Abfragefunktionen für Archivdaten über "datenLesen" eingebaut, d.h. im
    Skript benutzbar. Die Funktion liefert jedoch immer ein leeres Feld zurück.

### Geändert

*   Fehlermeldungen werden entsprechend der Testspezifikation dargestellt.

### Behoben

*   Problem mit der Übertragung des Passworts für Skriptläufe beseitigt.

## 1.0.0

### Folgende Funktionen sind nicht vollständig implementiert

*  Abfrage von Archivdaten über die Funktion `datenLesen` über
   Datenverteiler-Systemobjekte, da das Release der Kernsoftware und ein damit
   kooperierendes Archivsystem nicht rechtzeitig zur Verfügung stand.
*  Ausgabe von Fehlermeldungen ist in den Testspezifikationen und den
   technischen Anforderungen nicht kompatibel beschrieben und Bedarf noch der
   entgültigen Festlegung.


[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.ibv.uda/compare/v1.4.0...HEAD
[1.4.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.ibv.uda/compare/v1.3.2...v1.4.0
[1.3.2]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.ibv.uda/compare/v1.3.1...v1.3.2
